%define	name		jwebunit
%define	version		1.1.1
%define	release		2jpp
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java regression test package
License:	IBM Public License
Url:		http://www.junit.org/
Group:		Development/Testing
Vendor:		JPackage Project
Distribution:	JPackage
Source:		jWebUnit-1.1.1.zip
Patch0:		%{name}-javadoc-crosslink.patch
BuildRequires:	ant >= 0:1.6, junit, httpunit, rhino, nekohtml, xerces-j2, xml-commons-apis
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	ant >= 0:1.6, junit, httpunit, rhino, nekohtml, xerces-j2, xml-commons-apis
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
jWebUnit is a Java framework that facilitates creation of acceptance tests for
web applications. It evolved from a project where we were using HttpUnit and
JUnit to create acceptance tests. As the tests were being written, they were
continuously refactored to remove duplication and other bad smells in the test
code. jWebUnit is the result of these refactorings. 

%package javadoc
Group:		Development/Documentation
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p0 
rm -f lib/*.jar
pushd lib > /dev/null
for jar in httpunit junit js nekohtml servlet xerces-j2 xml-commons-apis; do
ln -s $(build-classpath $jar)
done
popd > /dev/null

#Don't need httpunit tests
rm -rf test/com

%build
# dist target fails on unit test run
ant -Dhttpunit.javadoc=%{_javadocdir}/httpunit compile make-zip


%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
mv doc/api javadoc
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc doc
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.1.1-2jpp
- Rebuild with ant-1.6.2
- Upgrade to Ant 1.6.X
* Thu Dec 04 2003 Paul Nasrat <pauln at truemesh.com> 0:1.1.1-1jpp
- Initial release
